<section>
	<?php
		if (($f = flash('alert_character_list_1')) !== false) echo c_alert($f[0], $f[1]);
	?>

	<h1>Characters <span class="badge"><?= count($chars) . '/' . user('char_slots') ?></span></h1>
	<?php
		if (count($chars) > 0): ?>
		<form action="/characters" method="post">
			<input type="hidden" name="csrf" value="<?= csrf() ?>">

			<div class="my-4 character-select">
				<?php foreach ($chars as $id => $char) echo c_char_select_box($id, $char); ?>
			</div>

			<button type="submit" class="ui button primary" name="action" value="select">Select</button>
			<button type="submit" class="ui button danger" name="action" value="delete">Delete</button>
		</form>
	<?php else: ?>
		<!-- Should never see this particular message. If you have, there's a bug. -->
		<p>You have no characters.</p>
	<?php endif; ?>
</section>

<section>
	<?php
		if (($f = flash('alert_character_list_2')) !== false) echo c_alert($f[0], $f[1]);
		if (($f = flash('errors_create_character')) !== false) echo c_alert('danger', array_to_ul($f));
	?>

	<?php if (user('char_slots') > count($chars)): ?>
		<h2>Create a new character</h2>
		<?php $num_slots_left = user('char_slots') - count($chars); ?>
		<p>You have <b><?= $num_slots_left ?> <?= $num_slots_left === 1 ? 'slot' : 'slots' ?></b> left.</p>
		<form action="/character/create" method="post">
			<input type="hidden" name="csrf" value="<?= csrf() ?>">

			<div class="my-4">
				<input class="form control" type="text" name="name" id="name" placeholder="Character name" required>
			</div>

			<button type="submit" class="ui button secondary">Create</button>
		</form>
	<?php endif; ?>
</section>
